Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	K Desktop Environment - WEB Development Tools
Name:      	kdewebdev
Version:	4.5.5
Release:	1
Provides:	kdewebdev
License: 	LGPL
URL:		http://www.kde.org
Group:     	Graphical Desktop/KDE       
Source0: 	kdewebdev-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:      i686
BuildRequires: 	kdelibs-devel libjpeg-devel
BuildRequires:	ruby-devel
BuildRequires:	tidy-devel
BuildRequires:  libX11-devel
BuildRequires:	automoc4
BuildRequires:  phonon-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  boost-devel
BuildRequires:  soprano-devel
Icon: 		kde-icon.xpm

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
WEB Development Tools

%package devel
Summary: 	Development files for kdewebdev
Group:     	Graphical Desktop/KDE          
Requires: 	kdewebdev = %{version}-%{release}

%description devel
Header files for developing applications using kdewebdev.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n kdewebdev-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make
popd

%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%{_bindir}/kfilereplace
%{_bindir}/kimagemapeditor
%{_bindir}/klinkstatus
%{_bindir}/kommander
%{_datadir}/config/klinkstatus.knsrc
%{_datadir}/applications/kde4/kfilereplace.desktop
%{_datadir}/applications/kde4/kimagemapeditor.desktop
%{_datadir}/applications/kde4/klinkstatus.desktop
%{_datadir}/applnk/.hidden/kommander.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kdewebdev.klinkstatus.SearchManager.xml
%{_datadir}/dbus-1/interfaces/org.kde.kfilereplace.xml
%{_datadir}/icons/hicolor/*/apps/kfilereplace.png
%{_datadir}/icons/hicolor/*/apps/klinkstatus.png
%{_datadir}/icons/hicolor/*/apps/kimagemapeditor.png
%{_datadir}/icons/hicolor/*/actions/addpoint.png
%{_datadir}/icons/hicolor/*/actions/arrow.png
%{_datadir}/icons/hicolor/*/actions/circle.png
%{_datadir}/icons/hicolor/*/actions/circle2.png
%{_datadir}/icons/hicolor/*/actions/freehand.png
%{_datadir}/icons/hicolor/*/actions/lower.png
%{_datadir}/icons/hicolor/*/actions/polygon.png
%{_datadir}/icons/hicolor/*/actions/raise.png
%{_datadir}/icons/hicolor/*/actions/rectangle.png
%{_datadir}/icons/hicolor/*/actions/removepoint.png
%{_libdir}/kde4/automationklinkstatus.so
%{_libdir}/kde4/klinkstatuspart.so
%{_libdir}/kde4/krossmoduleklinkstatus.so
%{_libdir}/kde4/libkfilereplacepart.so
%{_libdir}/kde4/libkimagemapeditor.so
%{_libdir}/libklinkstatuscommon.so.*
%{_libdir}/libkommandercore.so.*
%{_libdir}/libkommanderwidgets.so.*
%{_datadir}/kde4/apps/kfilereplace
%{_datadir}/kde4/apps/kfilereplacepart
%{_datadir}/kde4/apps/kimagemapeditor
%{_datadir}/kde4/apps/klinkstatus
%{_datadir}/kde4/apps/klinkstatuspart
%{_datadir}/kde4/services/kfilereplacepart.desktop
%{_datadir}/kde4/services/kimagemapeditorpart.desktop
%{_datadir}/kde4/services/klinkstatus_automation.desktop
%{_datadir}/kde4/services/klinkstatus_part.desktop
%{_datadir}/kde4/services/krossmoduleklinkstatus.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/kommandercore_export.h
%{_includedir}/kommanderplugin.h
%{_includedir}/kommanderwidget.h
%{_includedir}/specials.h
%{_libdir}/libklinkstatuscommon.so
%{_libdir}/libkommandercore.so
%{_libdir}/libkommanderwidgets.so
%{_datadir}/doc/HTML/en/kfilereplace
%{_datadir}/doc/HTML/en/kimagemapeditor
%{_datadir}/doc/HTML/en/klinkstatus


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.5.5-1
- Version Update
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Sat Sep 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-1
- Version update
* Sun Feb 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-1
- Version update
* Fri Jan 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-2
- rebuilt against libstdc++ 1:4.1.2
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-1
- Version update
* Tue May 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-1
- Version update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-1
- Version update
* Thu Oct 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.5-1
- Version update
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.4-1
- Version update
* Mon Apr 17 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.2-1
- Version update
* Mon Feb 13 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.1-1
- Version update
* Sat Jan 28 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.0-2
- rebuilt against newest qt
* Fri Dec 02 2005 Christian Metzen <metzench@ccux-linux.de> 3.5.0-1
- Version update
* Sat Nov 05 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.3-1
- Version update
* Sun Jul 31 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.2-1
- Version update
* Thu Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.1-1
- Version update to 3.4.1
* Sat Mar 26 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.0-1
- Version update to 3.4.0
* Sat Feb 19 2005 Christian Metzen <metzench@ccux-linux.de> 3.3.2-2
- Recompilation again QT 3.3.4
* Mon Dec 20 2004 Christian Metzen <metzench@ccux-linux.de> 3.3.2-1
- Initial Release
